-- IF-Statements funktionieren bei MariaDB nur in Stored Procedures
DELIMITER $$

DROP PROCEDURE IF EXISTS insert_sample_data $$

-- Create the stored procedure to perform the inserts
CREATE PROCEDURE insert_sample_data()

BEGIN
  
set @userId = -1;
set @groundId = -1;
set @userId = NULL;
set @groundId = NULL;

SET @email = 'jo@paranoidtimes.de';

select id
INTO @userId
from users
where email = @email;

select id
INTO @groundId
from grounds
where name = 'Jeversen';

if @userId IS NULL THEN
	INSERT INTO users (email, password, created, modified)
	VALUES (@email, 'secret', NOW(), NOW());
	
	select id
	INTO @userId
	from users
	where email = @email;
END IF;

if @groundId IS NULL THEN
	insert into grounds (name, owner_id, created, modified)
	VALUES ('Jeversen', @userId, NOW(), NOW());
END IF;

END $$

-- Execute the stored procedure
CALL insert_sample_data() $$

-- Don't forget to drop the stored procedure when you're done!
DROP PROCEDURE IF EXISTS insert_sample_data $$
 
DELIMITER ;